For the complete documentation index, see llms.txt. This page is also available as Markdown.

TerminatePort

1. API Description

This API (TerminatePort) is used to terminate Port

Notes

  • Ports that are no longer needed can be actively terminated via this API. For postpaid ports, billing stops once terminated.

  • This API cannot actively terminate a port under the prepaid subscription billing mode -- subscription-mode ports are automatically terminated when the subscription expires.

  • A terminated port enters the recycle bin. If no further action is taken, it is automatically released after 48 hours; you can also actively release it by calling DestroyPort.

  • Calling this API on a port that is already in the recycle bin or still being created has no effect.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

portId

Yes

String

Port ID.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminatePort
<Common Request Params>

Request:
{
  "portId": "your-port-id"
}

Response:
{
  "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
  "response": {
    "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated